Skip to main content
GET
Get Tin Verification

Authorizations

X-API-Key
string
header
required

Path Parameters

id
string<uuid>
required

The unique identifier of the TIN verification request to retrieve.

Examples:

"412a49b5-7466-426b-bf1e-081b00b54576"

"9d5a286e-a6d6-4d6c-a38e-8b7ea50accd5"

Response

Successful Response

Response model for TIN verification data.

This model defines the structure for TIN verification API responses.

id
string<uuid>
required

The unique identifier of the TIN verification request.

Example:

"d2682fdb-46fe-429c-8111-dee6db9d0eb3"

state
enum<string>
required

The status of the TIN verification request.

Available options:
PENDING,
EXECUTING,
COMPLETED,
FAILED,
CANCELLED
Example:

"COMPLETED"

name
string
required

The name inputted in the search.

Example:

"Acme Corporation"

tin
string
required

The TIN inputted in the search.

Required string length: 9
Example:

"123456789"

created_at
string<date-time>
required

The date and time when the TIN verification request was created.

Example:

"2026-10-29T05:44:48.448457"

idempotency_key
string | null

The Idempotency-Key header the request that created this resource carried, if any.

address
string | null

The address inputted in the search.

Maximum string length: 500
Example:

"123 Main St, Anytown, USA"

tin_matched
boolean | null

Indicates whether the inputted TIN/EIN was a match, per the IRS.

Example:

true

warnings
string[]

Any warnings that occurred.

Example:
tin_match_type
enum<string> | null

The type of match that occurred.

Available options:
SSN,
EIN,
UNKNOWN
Example:

"SSN"